summaryrefslogtreecommitdiff
path: root/test/Scripts/notcast
diff options
context:
space:
mode:
Diffstat (limited to 'test/Scripts/notcast')
-rwxr-xr-xtest/Scripts/notcast16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/Scripts/notcast b/test/Scripts/notcast
new file mode 100755
index 000000000000..6d56580c8fc9
--- /dev/null
+++ b/test/Scripts/notcast
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Program: notcast
+#
+# Synopsis: Returns 0 if the input does not contain a cast operator
+#
+# Syntax: notcast tailexpr
+#
+# postpat - optionally allows a regular expression to go at the end
+# prepat - optionally allow a regular expression to go at the start
+#
+
+if grep "$2"'\(\([sz]ext\)\|\(trunc\)\|\(fpto[us]i\)\|\([us]itofp\)\|\(bitcast\)\|\(fpext\)\|\(fptrunc\)\|\(ptrtoint\)\|\(inttoptr\)\|\(cast\)\)'"$1"
+then exit 1
+else exit 0
+fi